Changeset 19802


Ignore:
Timestamp:
2009-06-11T09:52:34+12:00 (15 years ago)
Author:
mdewsnip
Message:

Added checks for Javac and Java to the configure script, and removed usage of "JAVA_HOME" from the Makefiles (this is often not set -- simpler just to expect javac and java are on the path).

Location:
indexers/trunk
Files:
1 added
5 edited

Legend:

Unmodified
Added
Removed
  • indexers/trunk/configure

    r16583 r19802  
    275275ac_subdirs_all="$ac_subdirs_all packages/unac"
    276276ac_subdirs_all="$ac_subdirs_all mg mgpp"
    277 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ENABLE_ACCENTFOLD COMPAT32BITFLAGS subdirs LIBOBJS LTLIBOBJS'
     277ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ENABLE_ACCENTFOLD COMPAT32BITFLAGS JAVAC JAVA uudecode subdirs LIBOBJS LTLIBOBJS'
    278278ac_subst_files=''
    279279
     
    12491249
    12501250
     1251if test "x$JAVAPREFIX" = x; then
     1252        test "x$JAVAC" = x && for ac_prog in javac$EXEEXT
     1253do
     1254  # Extract the first word of "$ac_prog", so it can be a program name with args.
     1255set dummy $ac_prog; ac_word=$2
     1256echo "$as_me:$LINENO: checking for $ac_word" >&5
     1257echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
     1258if test "${ac_cv_prog_JAVAC+set}" = set; then
     1259  echo $ECHO_N "(cached) $ECHO_C" >&6
     1260else
     1261  if test -n "$JAVAC"; then
     1262  ac_cv_prog_JAVAC="$JAVAC" # Let the user override the test.
     1263else
     1264as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     1265for as_dir in $PATH
     1266do
     1267  IFS=$as_save_IFS
     1268  test -z "$as_dir" && as_dir=.
     1269  for ac_exec_ext in '' $ac_executable_extensions; do
     1270  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
     1271    ac_cv_prog_JAVAC="$ac_prog"
     1272    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     1273    break 2
     1274  fi
     1275done
     1276done
     1277
     1278fi
     1279fi
     1280JAVAC=$ac_cv_prog_JAVAC
     1281if test -n "$JAVAC"; then
     1282  echo "$as_me:$LINENO: result: $JAVAC" >&5
     1283echo "${ECHO_T}$JAVAC" >&6
     1284else
     1285  echo "$as_me:$LINENO: result: no" >&5
     1286echo "${ECHO_T}no" >&6
     1287fi
     1288
     1289  test -n "$JAVAC" && break
     1290done
     1291
     1292else
     1293        test "x$JAVAC" = x && for ac_prog in javac$EXEEXT
     1294do
     1295  # Extract the first word of "$ac_prog", so it can be a program name with args.
     1296set dummy $ac_prog; ac_word=$2
     1297echo "$as_me:$LINENO: checking for $ac_word" >&5
     1298echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
     1299if test "${ac_cv_prog_JAVAC+set}" = set; then
     1300  echo $ECHO_N "(cached) $ECHO_C" >&6
     1301else
     1302  if test -n "$JAVAC"; then
     1303  ac_cv_prog_JAVAC="$JAVAC" # Let the user override the test.
     1304else
     1305as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     1306for as_dir in $PATH
     1307do
     1308  IFS=$as_save_IFS
     1309  test -z "$as_dir" && as_dir=.
     1310  for ac_exec_ext in '' $ac_executable_extensions; do
     1311  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
     1312    ac_cv_prog_JAVAC="$ac_prog"
     1313    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     1314    break 2
     1315  fi
     1316done
     1317done
     1318
     1319fi
     1320fi
     1321JAVAC=$ac_cv_prog_JAVAC
     1322if test -n "$JAVAC"; then
     1323  echo "$as_me:$LINENO: result: $JAVAC" >&5
     1324echo "${ECHO_T}$JAVAC" >&6
     1325else
     1326  echo "$as_me:$LINENO: result: no" >&5
     1327echo "${ECHO_T}no" >&6
     1328fi
     1329
     1330  test -n "$JAVAC" && break
     1331done
     1332test -n "$JAVAC" || JAVAC="$JAVAPREFIX"
     1333
     1334fi
     1335test "x$JAVAC" = x && { { echo "$as_me:$LINENO: error: no acceptable Java compiler found in \$PATH" >&5
     1336echo "$as_me: error: no acceptable Java compiler found in \$PATH" >&2;}
     1337   { (exit 1); exit 1; }; }
     1338
     1339echo "$as_me:$LINENO: checking if $JAVAC works" >&5
     1340echo $ECHO_N "checking if $JAVAC works... $ECHO_C" >&6
     1341if test "${ac_cv_prog_javac_works+set}" = set; then
     1342  echo $ECHO_N "(cached) $ECHO_C" >&6
     1343else
     1344
     1345JAVA_TEST=Test.java
     1346CLASS_TEST=Test.class
     1347cat << \EOF > $JAVA_TEST
     1348/* #line 1348 "configure" */
     1349public class Test {
     1350}
     1351EOF
     1352if { ac_try='$JAVAC $JAVACFLAGS $JAVA_TEST'
     1353  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     1354  (eval $ac_try) 2>&5
     1355  ac_status=$?
     1356  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     1357  (exit $ac_status); }; } >/dev/null 2>&1; then
     1358  ac_cv_prog_javac_works=yes
     1359else
     1360  { { echo "$as_me:$LINENO: error: The Java compiler $JAVAC failed (see config.log, check the CLASSPATH?)" >&5
     1361echo "$as_me: error: The Java compiler $JAVAC failed (see config.log, check the CLASSPATH?)" >&2;}
     1362   { (exit 1); exit 1; }; }
     1363  echo "configure: failed program was:" >&5
     1364  cat $JAVA_TEST >&5
     1365fi
     1366rm -f $JAVA_TEST $CLASS_TEST
     1367
     1368fi
     1369echo "$as_me:$LINENO: result: $ac_cv_prog_javac_works" >&5
     1370echo "${ECHO_T}$ac_cv_prog_javac_works" >&6
     1371
     1372
     1373
     1374if test x$JAVAPREFIX = x; then
     1375        test x$JAVA = x && for ac_prog in java$EXEEXT
     1376do
     1377  # Extract the first word of "$ac_prog", so it can be a program name with args.
     1378set dummy $ac_prog; ac_word=$2
     1379echo "$as_me:$LINENO: checking for $ac_word" >&5
     1380echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
     1381if test "${ac_cv_prog_JAVA+set}" = set; then
     1382  echo $ECHO_N "(cached) $ECHO_C" >&6
     1383else
     1384  if test -n "$JAVA"; then
     1385  ac_cv_prog_JAVA="$JAVA" # Let the user override the test.
     1386else
     1387as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     1388for as_dir in $PATH
     1389do
     1390  IFS=$as_save_IFS
     1391  test -z "$as_dir" && as_dir=.
     1392  for ac_exec_ext in '' $ac_executable_extensions; do
     1393  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
     1394    ac_cv_prog_JAVA="$ac_prog"
     1395    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     1396    break 2
     1397  fi
     1398done
     1399done
     1400
     1401fi
     1402fi
     1403JAVA=$ac_cv_prog_JAVA
     1404if test -n "$JAVA"; then
     1405  echo "$as_me:$LINENO: result: $JAVA" >&5
     1406echo "${ECHO_T}$JAVA" >&6
     1407else
     1408  echo "$as_me:$LINENO: result: no" >&5
     1409echo "${ECHO_T}no" >&6
     1410fi
     1411
     1412  test -n "$JAVA" && break
     1413done
     1414
     1415else
     1416        test x$JAVA = x && for ac_prog in java$EXEEXT
     1417do
     1418  # Extract the first word of "$ac_prog", so it can be a program name with args.
     1419set dummy $ac_prog; ac_word=$2
     1420echo "$as_me:$LINENO: checking for $ac_word" >&5
     1421echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
     1422if test "${ac_cv_prog_JAVA+set}" = set; then
     1423  echo $ECHO_N "(cached) $ECHO_C" >&6
     1424else
     1425  if test -n "$JAVA"; then
     1426  ac_cv_prog_JAVA="$JAVA" # Let the user override the test.
     1427else
     1428as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     1429for as_dir in $PATH
     1430do
     1431  IFS=$as_save_IFS
     1432  test -z "$as_dir" && as_dir=.
     1433  for ac_exec_ext in '' $ac_executable_extensions; do
     1434  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
     1435    ac_cv_prog_JAVA="$ac_prog"
     1436    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     1437    break 2
     1438  fi
     1439done
     1440done
     1441
     1442fi
     1443fi
     1444JAVA=$ac_cv_prog_JAVA
     1445if test -n "$JAVA"; then
     1446  echo "$as_me:$LINENO: result: $JAVA" >&5
     1447echo "${ECHO_T}$JAVA" >&6
     1448else
     1449  echo "$as_me:$LINENO: result: no" >&5
     1450echo "${ECHO_T}no" >&6
     1451fi
     1452
     1453  test -n "$JAVA" && break
     1454done
     1455test -n "$JAVA" || JAVA="$JAVAPREFIX"
     1456
     1457fi
     1458test x$JAVA = x && { { echo "$as_me:$LINENO: error: no acceptable Java virtual machine found in \$PATH" >&5
     1459echo "$as_me: error: no acceptable Java virtual machine found in \$PATH" >&2;}
     1460   { (exit 1); exit 1; }; }
     1461
     1462# Extract the first word of "uudecode$EXEEXT", so it can be a program name with args.
     1463set dummy uudecode$EXEEXT; ac_word=$2
     1464echo "$as_me:$LINENO: checking for $ac_word" >&5
     1465echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
     1466if test "${ac_cv_prog_uudecode+set}" = set; then
     1467  echo $ECHO_N "(cached) $ECHO_C" >&6
     1468else
     1469  if test -n "$uudecode"; then
     1470  ac_cv_prog_uudecode="$uudecode" # Let the user override the test.
     1471else
     1472as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     1473for as_dir in $PATH
     1474do
     1475  IFS=$as_save_IFS
     1476  test -z "$as_dir" && as_dir=.
     1477  for ac_exec_ext in '' $ac_executable_extensions; do
     1478  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
     1479    ac_cv_prog_uudecode="yes"
     1480    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     1481    break 2
     1482  fi
     1483done
     1484done
     1485
     1486fi
     1487fi
     1488uudecode=$ac_cv_prog_uudecode
     1489if test -n "$uudecode"; then
     1490  echo "$as_me:$LINENO: result: $uudecode" >&5
     1491echo "${ECHO_T}$uudecode" >&6
     1492else
     1493  echo "$as_me:$LINENO: result: no" >&5
     1494echo "${ECHO_T}no" >&6
     1495fi
     1496
     1497if test x$uudecode = xyes; then
     1498echo "$as_me:$LINENO: checking if uudecode can decode base 64 file" >&5
     1499echo $ECHO_N "checking if uudecode can decode base 64 file... $ECHO_C" >&6
     1500if test "${ac_cv_prog_uudecode_base64+set}" = set; then
     1501  echo $ECHO_N "(cached) $ECHO_C" >&6
     1502else
     1503
     1504cat << \EOF > Test.uue
     1505begin-base64 644 Test.class
     1506yv66vgADAC0AFQcAAgEABFRlc3QHAAQBABBqYXZhL2xhbmcvT2JqZWN0AQAE
     1507bWFpbgEAFihbTGphdmEvbGFuZy9TdHJpbmc7KVYBAARDb2RlAQAPTGluZU51
     1508bWJlclRhYmxlDAAKAAsBAARleGl0AQAEKEkpVgoADQAJBwAOAQAQamF2YS9s
     1509YW5nL1N5c3RlbQEABjxpbml0PgEAAygpVgwADwAQCgADABEBAApTb3VyY2VG
     1510aWxlAQAJVGVzdC5qYXZhACEAAQADAAAAAAACAAkABQAGAAEABwAAACEAAQAB
     1511AAAABQO4AAyxAAAAAQAIAAAACgACAAAACgAEAAsAAQAPABAAAQAHAAAAIQAB
     1512AAEAAAAFKrcAErEAAAABAAgAAAAKAAIAAAAEAAQABAABABMAAAACABQ=
     1513====
     1514EOF
     1515if uudecode$EXEEXT Test.uue; then
     1516        ac_cv_prog_uudecode_base64=yes
     1517else
     1518        echo "configure: 1518: uudecode had trouble decoding base 64 file 'Test.uue'" >&5
     1519        echo "configure: failed file was:" >&5
     1520        cat Test.uue >&5
     1521        ac_cv_prog_uudecode_base64=no
     1522fi
     1523rm -f Test.uue
     1524fi
     1525echo "$as_me:$LINENO: result: $ac_cv_prog_uudecode_base64" >&5
     1526echo "${ECHO_T}$ac_cv_prog_uudecode_base64" >&6
     1527fi
     1528if test x$ac_cv_prog_uudecode_base64 != xyes; then
     1529        rm -f Test.class
     1530        { echo "$as_me:$LINENO: WARNING: I have to compile Test.class from scratch" >&5
     1531echo "$as_me: WARNING: I have to compile Test.class from scratch" >&2;}
     1532        if test x$ac_cv_prog_javac_works = xno; then
     1533                { { echo "$as_me:$LINENO: error: Cannot compile java source. $JAVAC does not work properly" >&5
     1534echo "$as_me: error: Cannot compile java source. $JAVAC does not work properly" >&2;}
     1535   { (exit 1); exit 1; }; }
     1536        fi
     1537        if test x$ac_cv_prog_javac_works = x; then
     1538
     1539if test "x$JAVAPREFIX" = x; then
     1540        test "x$JAVAC" = x && for ac_prog in javac$EXEEXT
     1541do
     1542  # Extract the first word of "$ac_prog", so it can be a program name with args.
     1543set dummy $ac_prog; ac_word=$2
     1544echo "$as_me:$LINENO: checking for $ac_word" >&5
     1545echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
     1546if test "${ac_cv_prog_JAVAC+set}" = set; then
     1547  echo $ECHO_N "(cached) $ECHO_C" >&6
     1548else
     1549  if test -n "$JAVAC"; then
     1550  ac_cv_prog_JAVAC="$JAVAC" # Let the user override the test.
     1551else
     1552as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     1553for as_dir in $PATH
     1554do
     1555  IFS=$as_save_IFS
     1556  test -z "$as_dir" && as_dir=.
     1557  for ac_exec_ext in '' $ac_executable_extensions; do
     1558  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
     1559    ac_cv_prog_JAVAC="$ac_prog"
     1560    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     1561    break 2
     1562  fi
     1563done
     1564done
     1565
     1566fi
     1567fi
     1568JAVAC=$ac_cv_prog_JAVAC
     1569if test -n "$JAVAC"; then
     1570  echo "$as_me:$LINENO: result: $JAVAC" >&5
     1571echo "${ECHO_T}$JAVAC" >&6
     1572else
     1573  echo "$as_me:$LINENO: result: no" >&5
     1574echo "${ECHO_T}no" >&6
     1575fi
     1576
     1577  test -n "$JAVAC" && break
     1578done
     1579
     1580else
     1581        test "x$JAVAC" = x && for ac_prog in javac$EXEEXT
     1582do
     1583  # Extract the first word of "$ac_prog", so it can be a program name with args.
     1584set dummy $ac_prog; ac_word=$2
     1585echo "$as_me:$LINENO: checking for $ac_word" >&5
     1586echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
     1587if test "${ac_cv_prog_JAVAC+set}" = set; then
     1588  echo $ECHO_N "(cached) $ECHO_C" >&6
     1589else
     1590  if test -n "$JAVAC"; then
     1591  ac_cv_prog_JAVAC="$JAVAC" # Let the user override the test.
     1592else
     1593as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     1594for as_dir in $PATH
     1595do
     1596  IFS=$as_save_IFS
     1597  test -z "$as_dir" && as_dir=.
     1598  for ac_exec_ext in '' $ac_executable_extensions; do
     1599  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
     1600    ac_cv_prog_JAVAC="$ac_prog"
     1601    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     1602    break 2
     1603  fi
     1604done
     1605done
     1606
     1607fi
     1608fi
     1609JAVAC=$ac_cv_prog_JAVAC
     1610if test -n "$JAVAC"; then
     1611  echo "$as_me:$LINENO: result: $JAVAC" >&5
     1612echo "${ECHO_T}$JAVAC" >&6
     1613else
     1614  echo "$as_me:$LINENO: result: no" >&5
     1615echo "${ECHO_T}no" >&6
     1616fi
     1617
     1618  test -n "$JAVAC" && break
     1619done
     1620test -n "$JAVAC" || JAVAC="$JAVAPREFIX"
     1621
     1622fi
     1623test "x$JAVAC" = x && { { echo "$as_me:$LINENO: error: no acceptable Java compiler found in \$PATH" >&5
     1624echo "$as_me: error: no acceptable Java compiler found in \$PATH" >&2;}
     1625   { (exit 1); exit 1; }; }
     1626
     1627echo "$as_me:$LINENO: checking if $JAVAC works" >&5
     1628echo $ECHO_N "checking if $JAVAC works... $ECHO_C" >&6
     1629if test "${ac_cv_prog_javac_works+set}" = set; then
     1630  echo $ECHO_N "(cached) $ECHO_C" >&6
     1631else
     1632
     1633JAVA_TEST=Test.java
     1634CLASS_TEST=Test.class
     1635cat << \EOF > $JAVA_TEST
     1636/* #line 1636 "configure" */
     1637public class Test {
     1638}
     1639EOF
     1640if { ac_try='$JAVAC $JAVACFLAGS $JAVA_TEST'
     1641  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     1642  (eval $ac_try) 2>&5
     1643  ac_status=$?
     1644  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     1645  (exit $ac_status); }; } >/dev/null 2>&1; then
     1646  ac_cv_prog_javac_works=yes
     1647else
     1648  { { echo "$as_me:$LINENO: error: The Java compiler $JAVAC failed (see config.log, check the CLASSPATH?)" >&5
     1649echo "$as_me: error: The Java compiler $JAVAC failed (see config.log, check the CLASSPATH?)" >&2;}
     1650   { (exit 1); exit 1; }; }
     1651  echo "configure: failed program was:" >&5
     1652  cat $JAVA_TEST >&5
     1653fi
     1654rm -f $JAVA_TEST $CLASS_TEST
     1655
     1656fi
     1657echo "$as_me:$LINENO: result: $ac_cv_prog_javac_works" >&5
     1658echo "${ECHO_T}$ac_cv_prog_javac_works" >&6
     1659
     1660
     1661        fi
     1662fi
     1663echo "$as_me:$LINENO: checking if $JAVA works" >&5
     1664echo $ECHO_N "checking if $JAVA works... $ECHO_C" >&6
     1665if test "${ac_cv_prog_java_works+set}" = set; then
     1666  echo $ECHO_N "(cached) $ECHO_C" >&6
     1667else
     1668
     1669JAVA_TEST=Test.java
     1670CLASS_TEST=Test.class
     1671TEST=Test
     1672cat << \EOF > $JAVA_TEST
     1673/* [#]line 1673 "configure" */
     1674public class Test {
     1675public static void main (String args[]) {
     1676        System.exit (0);
     1677} }
     1678EOF
     1679if test x$ac_cv_prog_uudecode_base64 != xyes; then
     1680        if { ac_try='$JAVAC $JAVACFLAGS $JAVA_TEST'
     1681  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     1682  (eval $ac_try) 2>&5
     1683  ac_status=$?
     1684  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     1685  (exit $ac_status); }; } && test -s $CLASS_TEST; then
     1686                :
     1687        else
     1688          echo "configure: failed program was:" >&5
     1689          cat $JAVA_TEST >&5
     1690          { { echo "$as_me:$LINENO: error: The Java compiler $JAVAC failed (see config.log, check the CLASSPATH?)" >&5
     1691echo "$as_me: error: The Java compiler $JAVAC failed (see config.log, check the CLASSPATH?)" >&2;}
     1692   { (exit 1); exit 1; }; }
     1693        fi
     1694fi
     1695if { ac_try='$JAVA $JAVAFLAGS $TEST'
     1696  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     1697  (eval $ac_try) 2>&5
     1698  ac_status=$?
     1699  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     1700  (exit $ac_status); }; } >/dev/null 2>&1; then
     1701  ac_cv_prog_java_works=yes
     1702else
     1703  echo "configure: failed program was:" >&5
     1704  cat $JAVA_TEST >&5
     1705  { { echo "$as_me:$LINENO: error: The Java VM $JAVA failed (see config.log, check the CLASSPATH?)" >&5
     1706echo "$as_me: error: The Java VM $JAVA failed (see config.log, check the CLASSPATH?)" >&2;}
     1707   { (exit 1); exit 1; }; }
     1708fi
     1709rm -fr $JAVA_TEST $CLASS_TEST Test.uue
     1710
     1711fi
     1712echo "$as_me:$LINENO: result: $ac_cv_prog_java_works" >&5
     1713echo "${ECHO_T}$ac_cv_prog_java_works" >&6
     1714
     1715
     1716
     1717
     1718
    12511719# Check whether --with-unac or --without-unac was given.
    12521720if test "${with_unac+set}" = set; then
     
    19292397s,@ENABLE_ACCENTFOLD@,$ENABLE_ACCENTFOLD,;t t
    19302398s,@COMPAT32BITFLAGS@,$COMPAT32BITFLAGS,;t t
     2399s,@JAVAC@,$JAVAC,;t t
     2400s,@JAVA@,$JAVA,;t t
     2401s,@uudecode@,$uudecode,;t t
    19312402s,@subdirs@,$subdirs,;t t
    19322403s,@LIBOBJS@,$LIBOBJS,;t t
     
    23722843fi
    23732844
    2374 
    2375 
  • indexers/trunk/configure.ac

    r16583 r19802  
    1111AC_SUBST(COMPAT32BITFLAGS)
    1212
     13dnl
     14dnl Make sure Javac and Java are available
     15dnl
     16AC_PROG_JAVAC
     17AC_PROG_JAVA
    1318
    1419dnl
     
    2429
    2530AC_OUTPUT(Makefile)
    26 
    27 
  • indexers/trunk/lucene-gs/Makefile

    r18813 r19802  
    1 JAVAC = $(JAVA_HOME)/bin/javac
    2 JAR = $(JAVA_HOME)/bin/jar
     1JAVAC = javac
     2JAR = jar
    33
    44LUCENE_JAR = ./lib/lucene-core-2.3.2.jar
  • indexers/trunk/mg/java/org/greenstone/mg/Makefile.in

    r18447 r19802  
    1414CC = @CC@
    1515CXX = @CXX@
    16 JAVAC = $(JAVA_HOME)/bin/javac
    17 JAVAH = $(JAVA_HOME)/bin/javah
    18 JAR = $(JAVA_HOME)/bin/jar
     16JAVAC = javac
     17JAVAH = javah
     18JAR = jar
    1919CFLAGS = @CFLAGS@ @COMPAT32BITFLAGS@ -ansi -DSILENT -DSHORT_SUFFIX
    2020CXXFLAGS = @CXXFLAGS@ @COMPAT32BITFLAGS@ -DSILENT -DSHORT_SUFFIX
  • indexers/trunk/mgpp/java/org/greenstone/mgpp/Makefile.in

    r18448 r19802  
    1414CC = @CC@
    1515CXX = @CXX@
    16 JAVAC = $(JAVA_HOME)/bin/javac
    17 JAVAH = $(JAVA_HOME)/bin/javah
    18 JAR = $(JAVA_HOME)/bin/jar
     16JAVAC = javac
     17JAVAH = javah
     18JAR = jar
    1919CFLAGS = @CFLAGS@ @COMPAT32BITFLAGS@ -ansi -DSILENT -DSHORT_SUFFIX
    2020CXXFLAGS = @CXXFLAGS@ @COMPAT32BITFLAGS@ -DSILENT -DSHORT_SUFFIX
Note: See TracChangeset for help on using the changeset viewer.